<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="*[local-name()='alert']">
  <html>
  <head>
    <title>SAMBRO SANDBOX:  
      <xsl:value-of select="*[local-name()='info'][1]/*[local-name()='headline']"/>
    </title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="description" content="Spot On Alerting and Messaging Broker Sandbox for Teaching the Common Alerting Protocol Basics"/>
    <meta name="keywords" content="all-media, all-hazard, Common Alerting Protocol, Warning, Messaging, Interoperability, Digitial Content Standard"/>
    <meta name="author" content="CEO/Nuwan Waidyanatha"/> 
    <meta name="publisher" content="Spot On Solutions (Private) Limited"/> 
    <meta name="expires" content="never"/>
    <title>Hazard EVENT Messages</title>
  </head>
  <body>
  <!-- BEGIN SPOT-ON Header Template -->
  <table width="100%" border="0" cellpadding="0" cellspacing="0"> 
    <tr valign="top"> 
      <td>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr valign="top">
            <td width="800" align="left"><a href="http://www.spoton.lk/">
              <img src="sambro_banner.jpg" alt="Spot On Solutions (Private) Limited." width="800" height="72" border="0"/></a></td>
            <td width="100%" class="banner">
            </td>
          </tr>
        </table>
      </td> 
    </tr>
  <!-- BEGIN SHORT CAP MESSAGE -->
    <hr align="left" width="800" />  
    <tr> 
      <td class="siteTitle" style="color: #b0b0b0">SHORT CAP MESSAGE (e.g. Twitter, SMS, Cell-Broadcast)</td> 
    </tr>
    <br />
    <tr>
      <td>
        <xsl:for-each select="*[local-name()='status']">
          <xsl:value-of select="."/>: 
        </xsl:for-each>
        <xsl:for-each select="*[local-name()='info'][1]/*[local-name()='headline']">
          <xsl:value-of select="."/> for 
        </xsl:for-each>
      </td>
    </tr>
    <tr>
      <td>
        <xsl:for-each select="*[local-name()='info'][1]/*[local-name()='area'][1]/*[local-name()='areaDesc']">
          <xsl:value-of select="."/> 
        </xsl:for-each>
      </td>
    </tr>
    <tr>
      <td>
        <xsl:for-each select="*[local-name()='info'][1]/*[local-name()='web']">
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="."/>
            </xsl:attribute>
            <xsl:value-of select="."/>
          </a>
        </xsl:for-each>
      </td>
    </tr>
    <br />
  <!-- END SHORT CAP MESSAGE -->

  <!-- BEGIN LONG CAP MESSAGE -->
    <hr align="left" width="800" />  
    <tr> 
      <td class="siteTitle" style="color: #b0b0b0">LONG CAP MESSAGE (e.g. Web)</td> 
    </tr> 
  </table>
  <!-- END SPOT-ON Header Template -->
  <h1 class="c-titles-large"><xsl:value-of select="*[local-name()='info'][1]/*[local-name()='headline']"/></h1>
  <p class="c-table-topic-bgcolor">Summary</p>
  
  <table border="0">
  <xsl:for-each select="*[local-name()='identifier']">
    <tr valign="top">
      <td width="15%" class="c-bold">Identifier:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='sender']">
    <tr valign="top">
      <td width="15%" class="c-bold">Sender:</td>
      <td width="85%" colspan="3">
        <a>
	   <xsl:attribute name="href">
	   <xsl:value-of select="."/>
	   </xsl:attribute>
	   <xsl:value-of select="."/>
	</a>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='sent']">
    <tr valign="top">
      <td width="15%" class="c-bold">Sent:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='status']">
    <tr valign="top">
      <td width="15%" class="c-bold">Status:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='msgType']">
    <tr valign="top">
      <td width="15%" class="c-bold">Message Type:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='scope']">
    <tr valign="top">
      <td width="15%" class="c-bold">Scope:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <xsl:for-each select="*[local-name()='restriction']">
    <tr valign="top">
      <td width="15%" class="c-bold">Restriction:</td>
      <td width="85%" colspan="3">
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:for-each> 
  <tr>
    <td><hr></hr></td>
  </tr>
  <tr>
    <td colspan="4" class="c-table-topic-bgcolor"><strong>Info Segment:</strong></td>
    <td width="85%" colspan="3"/>
  </tr>
  <xsl:for-each select="*[local-name()='info']">
    <xsl:for-each select="*[local-name()='category']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Category:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='event']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Event:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='urgency']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Urgency:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='severity']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Severity:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='certainty']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Certainty:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 

    <xsl:for-each select="*[local-name()='senderName']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Sender Name:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='headline']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Headline:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='description']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Description:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
	<xsl:for-each select="*[local-name()='instruction']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Instruction:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='web']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Web:</td>
        <td width="70%" colspan="2">
			<a>
				<xsl:attribute name="href">
		            <xsl:value-of select="."/>
				</xsl:attribute>
				<xsl:value-of select="."/>
			</a>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='contact']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Contact:</td>
        <td width="70%" colspan="2">
            <a>
				<xsl:attribute name="href">
		            <xsl:value-of select="."/>
				</xsl:attribute>
				<xsl:value-of select="."/>
			</a>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:for-each select="*[local-name()='parameter']">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Parameter:</td>
        <td width="70%" colspan="2">
            <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
    <xsl:if test="resource">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Resource:</td>
        <td width="70%" colspan="2"/>
      </tr>
    </xsl:if> 
    <xsl:if test="area">
      <tr valign="top">
        <td/>
        <td width="15%" class="c-bold">Area:</td>
        <td width="70%" colspan="2"/>
      </tr>
    </xsl:if> 
    <xsl:for-each select="*[local-name()='area']">
      <xsl:for-each select="*[local-name()='areaDesc']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Area Description:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
      <xsl:for-each select="*[local-name()='polygon']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Polygon:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
      <xsl:for-each select="*[local-name()='circle']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Circle:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
      <xsl:for-each select="*[local-name()='geocode']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Geocode:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
      <xsl:for-each select="*[local-name()='altitude']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Altitude:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
      <xsl:for-each select="*[local-name()='ceiling']">
        <tr valign="top">
          <td/>
          <td/>
          <td width="15%" class="c-bold">Ceiling:</td>
          <td width="55%">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each> 
    </xsl:for-each>
  </xsl:for-each>
  </table>
  <p/>
  <!-- SpotOn Footer Template -->
  <hr></hr>
  <table width="100%" border="0" cellpadding="0" cellspacing="0']">
    <tr valign="top" align="center">
      <td colspan="2" class="footer">
        <a href="http://www.spoton.lk" class="footer">Copyrights (c) 2014 Spot On Solutions (Private) Limited</a>
      </td>
    </tr>
    <tr valign="top">
    </tr>
  </table>
  <!-- END SpotOn Footer Template -->
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
